#!/bin/bash

ROOT=/gpfs/scratch/bsc32/bsc032756/EDITO_2025/nemo5
ROOT_NEMO="$ROOT/nemo5_src"
ROOT_XIOS="$ROOT/xios_2311_src"
ROOT_RUNDIR="/gpfs/scratch/bsc32/bsc032756/EDITO_2025/SCALING"

ENV_FILE="env-intel-mpi.sh"
TS=480
ICE_SCHEME="FRO RK3"
NODES="16 32 64 125"
NODES="125"
for N in $NODES
do
    for I in $ICE_SCHEME
    do
        ./RUN/run_nemo.sh  \
            --nemo "${ROOT_NEMO}/cfgs/GLO-INTEL-IMPI-${I}-NO-XIOS/EXP00" \
            --xios "${ROOT_XIOS}/xios_impi/bin/xios_server.exe" \
            --env "${ENV_FILE}" --nodes $N --xios_mode no-xios\
            --rundir ${ROOT_RUNDIR}/IMPI-ORCA12-${I}-no-xios-${TS}/${N}-NODES \
            --resolution ORCA12-${I} --ts $TS
    done
done

#--rundir ${ROOT_RUNDIR}/SCALE-IO/${N}-NODES/ORCA025-${I}/IMPI \




